Skip to main content
POST
/
api
/
v1
/
room
/
add
curl --location 'http://fssportal.com/api/v1/room/add' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "client_id": 1856,
  "admin_room_id": 4,
  "name": "Living Room"
}'
{
  "message": "Room added successfully.",
  "data": {
    "id": 4945
  }
}

Endpoint

POST /api/v1/room/add
This endpoint requires authentication

Headers

X-API-Token
string
required
Your API access token. You can also set this globally in the API playground.
platform
string
required
The platform making the request: WEB, IOS, or ANDROID.

Request Body

client_id
integer
required
client id
admin_room_id
integer
required
Reference to the predefined room type.
name
string
name

Response

message
string
message
data
object
data
curl --location 'http://fssportal.com/api/v1/room/add' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "client_id": 1856,
  "admin_room_id": 4,
  "name": "Living Room"
}'
{
  "message": "Room added successfully.",
  "data": {
    "id": 4945
  }
}

Notes

  • Authentication is required